barnestr

## Class KernelController

- java.lang.Object
- - barnestr.KernelController

    public class KernelController
    extends java.lang.Object

The controller that handles all of the UI components of the Kernel window

Author:
  Trevor Barnes

### Constructor Summary

Constructors
Constructor and Description
`KernelController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setMainController(Controller mainController)` Sets the controller for the main window to be able to be accessed
`void` `setMainStage(javafx.stage.Stage mainStage)` Sets the stage for the main window to be able to be accessed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KernelController

    public KernelController()

### Method Detail

#### setMainStage

    public void setMainStage(javafx.stage.Stage mainStage)

Sets the stage for the main window to be able to be accessed

Parameters:
  `mainStage` - the stage for the main window

#### setMainController

    public void setMainController(Controller mainController)

Sets the controller for the main window to be able to be accessed

Parameters:
  `mainController` - the controller for the main window